import { FC } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { PageData, StepResponseData, TextStyles } from '../types';
export interface PageProps {
    style?: StyleProp<ViewStyle> | undefined;
    pageIndex: number;
    currentPage: number;
    totalPages: number;
    pageData: PageData;
    customVariables?: object;
    goToNextPage: () => void;
    onSaveData?: (data: StepResponseData) => void;
    goToPreviousPage: () => void;
    textAlign?: 'left' | 'center' | 'right';
    width: number;
    maxTextHeight?: number;
    setMaxTextHeight?: (height: number) => void;
}
export declare const Page: FC<PageProps & TextStyles>;
